Skip to main content

kaia_getRewards

POST

Retrieves reward distribution for a block by block number. Includes reward recipients and their share. If the parameter is omitted, returns reward distribution for the latest block.
param[0]
blockNumberstringrequired
Block number represents the sequence order of a block. It is expressed as a hexadecimal string.
param[1]
blockTagstringrequired
Block tag can be used to specify a block with one of the following.
  • earliest: Represents the oldest block available on the chain.
  • latest: Represents the most recent block on the current chain. It may not yet be finalized and could be subject to reorgs. Typically used when querying the latest state.
  • pending: Represents the next block that will include transactions in the mempool that have not yet been mined. Primarily used when checking the status of pending transactions.
Responses
mintedstring
Total KAIA newly minted in this block (hex, in peb)
totalFeestring
Total transaction fees in this block (hex, in peb)
burntFeestring
Total fees burned (hex, in peb)
proposerstring
Reward received by the block proposer (hex, in peb)
stakersstring
Total rewards received by staking participants (hex, in peb)
kifstring
Reward received by the Kaia Infrastructure Fund (hex, in peb)
kefstring
Reward received by the Kaia Ecosystem Fund (hex, in peb)
rewardsobject
Map of rewards per beneficiary address (key=address, value=amount in hex)
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://kaia-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "kaia_getRewards",
"params": [
"0x1076B5A",
"latest"
]
}'